%define majver %(echo %version | cut -d. -f1-2)

Name:          sonnet
Version:       5.9.0
Release:       3mamba
Summary:       Multi-language spell checker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/sonnet-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaspell-devel
BuildRequires: libgcc
BuildRequires: libhspell-devel
BuildRequires: libhunspell-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
#BuildRequires: Qt5LinguistTools
BuildRequires: libQt5Test
BuildRequires: libz-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant, ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of different algorithms.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Multi-language spell checker

%description -n lib%{name}
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant, ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of different algorithms.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang sonnet5_qt --with-qt --all-name || touch sonnet5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f sonnet5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5SonnetCore.so.*
%{_kde5_libdir}/libKF5SonnetUi.so.*
%{_kde5_pluginsdir}/sonnet
%{_kde5_datadir}/kf5/sonnet
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/SonnetCore
%{_kde5_includedir}/SonnetUi
%{_kde5_includedir}/sonnet_version.h
%{_kde5_libdir}/cmake/KF5Sonnet
%{_kde5_libdir}/libKF5SonnetCore.so
%{_kde5_libdir}/libKF5SonnetUi.so
%{_kde5_mkspecsdir}/qt_SonnetCore.pri
%{_kde5_mkspecsdir}/qt_SonnetUi.pri
%doc README.md

%changelog
* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-3mamba
- fix license and standardize the specfile

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
